Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchDelete

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchDelete

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchDelete

extends java.lang.Object
implements EPPCodecComponent

Extension to the domain delete command to delete a launch phase application.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the launch phase delete extension local name
`static java.lang.String` | `ELM_NAME` Constant for the launch phase info extension tag

Constructor Summary
`EPPLaunchDelete()` Create an EPPLaunchDelete instance
`EPPLaunchDelete(EPPLaunchPhase aPhase, java.lang.String aApplicationId)` Create a `EPPLaunchDelete` instance with both the required phase and required application identifier attribute values.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchDelete`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the DOM element to the `EPPLaunchDelete`.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode the `EPPLaunchDelete` to a DOM Element
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchDelete` compare.
`java.lang.String` | `getApplicationId()` Gets the application identifier of the launch application.
`EPPLaunchPhase` | `getPhase()` Gets phase during which the application was submitted or is associated with.
`void` | `setApplicationId(java.lang.String aApplicationId)` Sets the application identifier of the launch application.
`void` | `setPhase(EPPLaunchPhase aPhase)` Sets the phase during which the application was submitted or is associated with.
`void` | `setPhase(java.lang.String aPhaseString)` Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the launch phase delete extension local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the launch phase info extension tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchDelete

    public EPPLaunchDelete()

  Create an EPPLaunchDelete instance

### EPPLaunchDelete

    public EPPLaunchDelete(EPPLaunchPhase aPhase,
                           java.lang.String aApplicationId)

  Create a `EPPLaunchDelete` instance with both the required phase and required application identifier attribute values.

  Parameters:
    `aPhase` - Phase during which the application was submitted or is associated with
    `aApplicationId` - Application identifier of the launch application

Method Detail

### getPhase

    public EPPLaunchPhase getPhase()

  Gets phase during which the application was submitted or is associated with.

  Returns:
    phase during which the application was submitted or is associated with if defined; `null` otherwise.

### setPhase

    public void setPhase(EPPLaunchPhase aPhase)

  Sets the phase during which the application was submitted or is associated with.

  Parameters:
    `aPhase` - Phase during which the application was submitted or is associated with

### setPhase

    public void setPhase(java.lang.String aPhaseString)

  Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.

  Parameters:
    `aPhaseString` - One of the `EPPLaunchPhase` `PHASE` constants.

### getApplicationId

    public java.lang.String getApplicationId()

  Gets the application identifier of the launch application.

  Returns:
    Application identifier if defined; `null` otherwise.

### setApplicationId

    public void setApplicationId(java.lang.String aApplicationId)

  Sets the application identifier of the launch application.

  Parameters:
    `aApplicationId` - Application identifier of the launch application

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchDelete`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchDelete`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode the `EPPLaunchDelete` to a DOM Element

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the DOM element to the `EPPLaunchDelete`.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - DOM Element to decode the attribute values
  Throws:
    `EPPDecodeException` - Error decoding the DOM Element

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchDelete` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchDelete` instance to compare with
  Returns:
    true if equal false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.